Bug 826495 - RHEVM-Iso-Uploader - Getting an Error print when shared-iso-domain isn't attached
RHEVM-Iso-Uploader - Getting an Error print when shared-iso-domain isn't atta...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-iso-uploader (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Keith Robertson
yeylon@redhat.com
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 07:13 EDT by Ortal
Modified: 2016-07-03 21:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:26:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ortal 2012-05-30 07:13:19 EDT
Description of problem:

RHEVM-Iso-Uploader - Getting an Error print when shared-iso-domain isn't attached

Version-Release number of selected component (if applicable):
RHEVM3.1 Version Si4

How reproducible:
Always

Steps to Reproduce:
1. Run rhevm-iso-uploader list
2. Getting an Error: There are no ISO Storage Domain
3. Run rhevm-iso-uploader upload /tmp/tmp.AqOK1wZ2ji -i ISO_DOMAIN
  
Actual results:

The file upload successfully:

[root@ortal-rhevm1 ISO_DOMAIN]# rhevm-iso-uploader list
ERROR: There are no ISO storage domains.               
[root@ortal-rhevm1 ISO_DOMAIN]#                        
[root@ortal-rhevm1 ISO_DOMAIN]# rhevm-iso-uploader upload /tmp/tmp.AqOK1wZ2ji -i ISO_DOMAIN -f
[root@ortal-rhevm1 ISO_DOMAIN]#                                                               
[root@ortal-rhevm1 ISO_DOMAIN]# cd 3379ce0e-db02-4b34-9901-9bd114f821a1/images/11111111-1111-1111-1111-111111111111/
[root@ortal-rhevm1 11111111-1111-1111-1111-111111111111]# ll                                                        
total 4                                                                                                             
-rw-r-----. 1 vdsm kvm 393 May 30 13:40 tmp.AqOK1wZ2ji                                                              
[root@ortal-rhevm1 11111111-1111-1111-1111-111111111111]#   

Expected results:

* We need to change the Error message to a Warning message, since the user is able to upload any file to the shared-iso-domain
* Need to display the unattached shared-iso-domain with that warning message so the user will no that there is a shared-iso in the system, it's not attached, and he may upload a file
Additional info:
Comment 1 Itamar Heim 2012-12-17 02:26:30 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.